[Dh-make-php-commits] r292 - trunk/pear.template
steinm at alioth.debian.org
steinm at alioth.debian.org
Tue Sep 18 06:57:14 UTC 2007
Author: steinm
Date: 2007-09-18 06:57:14 +0000 (Tue, 18 Sep 2007)
New Revision: 292
Added:
trunk/pear.template/postinst
trunk/pear.template/prerm
Log:
- adding new files for installing/deinstalling pear package
Added: trunk/pear.template/postinst
===================================================================
--- trunk/pear.template/postinst (rev 0)
+++ trunk/pear.template/postinst 2007-09-18 06:57:14 UTC (rev 292)
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ configure)
+ if [ -f /usr/share/doc/##packagename##/package.xml -a -x /usr/bin/pear ]; then
+ cd /usr/share/doc/##packagename##
+ /usr/bin/pear install -r -n package.xml
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+
+#DEBHELPER#
+
+exit 0
Property changes on: trunk/pear.template/postinst
___________________________________________________________________
Name: svn:executable
+ *
Added: trunk/pear.template/prerm
===================================================================
--- trunk/pear.template/prerm (rev 0)
+++ trunk/pear.template/prerm 2007-09-18 06:57:14 UTC (rev 292)
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ remove|upgrade|deconfigure)
+ if [ -x /usr/bin/pear ]; then
+ /usr/bin/pear uninstall -r -n ##pearpkgname##
+ fi
+ ;;
+
+ failed-upgrade)
+ ;;
+
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
Property changes on: trunk/pear.template/prerm
___________________________________________________________________
Name: svn:executable
+ *
More information about the Dh-make-php-commits
mailing list